%global commit a81941f4464e6f9cee75bfb8a1db88c253ede33d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           kmscon
Version:        9.0.0^3.gita81941f4
Release:        0
Summary:        Linux KMS/DRM based virtual Console Emulator
License:        MIT
Group:          System/Console
URL:            https://github.com/Aetf/kmscon/
Source:         https://github.com/Aetf/kmscon/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  docbook-style-xsl
BuildRequires:  libtsm-devel > 4.0.2
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkg-config
BuildRequires:  xsltproc
BuildRequires:  xz
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libudev) >= 172
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(xkbcommon) >= 0.5.0
# O/P added for 13.1
Obsoletes:      %{name}-service < %{version}-%{release}
Provides:       %{name}-service = %{version}-%{release}

%description
Kmscon is a simple terminal emulator based on linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a userspace
console.


%prep
%autosetup -n kmscon-%{commit} -p1

%build
# Work around https://github.com/Aetf/kmscon/issues/63
export CFLAGS="%{optflags} $(pkg-config xkbcommon --cflags) $(pkg-config libtsm --cflags) -Wno-error"
%meson -Dtests=false
%meson_build

%install
%meson_install

%files
%license COPYING
%{_bindir}/%{name}
%{_libdir}/kmscon/
%dir %{_libexecdir}/kmscon
%{_libexecdir}/kmscon/kmscon
%{_mandir}/man1/kmscon.1*
%{_unitdir}/*.service

%changelog
* Thu Jan 9 2025 Jocelyn Falempe <jfalempe@redhat.com> - 9.0.0^3.gita81941f4-0
- Fix kmscon not restarting the login shell

* Tue Dec 24 2024 Jocelyn Falempe <jfalempe@redhat.com> - 9.0.0^2.git76b6c96b-1
- Fix a segfault in bind_display()

* Fri Dec 20 2024 Jocelyn Falempe <jfalempe@redhat.com> - 9.0.0^2.git76b6c96b-0
- Update to the upstream develop branch, and remove the patch that is merged upstream

* Fri Dec 13 2024 Jocelyn Falempe <jfalempe@redhat.com> - 9.0.0^1.git0f73dc37-0
- Update to the upstream develop branch, which hasn't seen a release yet.

* Sun Jun 09 2024 Michael Bryant <shadow53@shadow53.com> - 9.0.0-0
- Update to 9.0.0

* Sun Jan 19 2020 Michael Bryant <shadow53@shadow53.com> - 8.1-1
- Fix dependencies

* Sun Jan 19 2020 Michael Bryant <shadow53@shadow53.com> - 8-11
- Update upstream to Aetf's fork (master)

* Sat Jul 11 2015 Nicolas Chauvet <kwizart@gmail.com> - 8-10
- Remove prelink workaround of glibc#16744

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-7
- ifnarch the execstack calls not just the build dependencies

* Sun Jun  8 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-6
- No prelink on aarch64/ppc64le

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 05 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-4
- Clear execstack
- Add verbose check and fix description

* Fri Mar 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-3
- Add man page
- Spec file clean-up
- Enable pixman as a renderer

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-2
- Update to libxslt libgbm

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-1
- Initial spec file
